Summary:        C library for portable packet creation and injection
Name:           libnet
Version:        1.1.2.1
Release:        1.1
License:        BSD
Group:          System Environment/Libraries
URL:            http://www.packetfactory.net/libnet/
Source0:        http://www.packetfactory.net/libnet/dist/libnet-%{version}.tar.gz
# excerpted from debian patcheset
Patch0:         libnet-1.1.2.1-odd_chksum.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Libnet is an API to help with the construction and handling of network packets.
It provides a portable framework for low-level network packet writing and
handling (use libnet in conjunction with libpcap and you can write some really
cool stuff).  Libnet includes packet creation at the IP layer and at the link
layer as well as a host of supplementary and complementary functionality.
Libnet is very handy with which to write network tools and network test code.
See the manpage and sample test code for more detailed information.

%package devel
Summary:        Development files for libnet
Group:          Development/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
Libnet is an API to help with the construction and handling of network packets.
It provides a portable framework for low-level network packet writing and
handling (use libnet in conjunction with libpcap and you can write some really
cool stuff).  Libnet includes packet creation at the IP layer and at the link
layer as well as a host of supplementary and complementary functionality.
Libnet is very handy with which to write network tools and network test code.
See the manpage and sample test code for more detailed information.


%prep
%setup -q -n libnet
%patch0 -p1 -b odd_chksum
sed -i -e 's/\r$//' doc/CHANGELOG doc/CONTRIB
find . -depth -type d -name CVS -exec rm -rf {} ';'
rm -f sample/.\#* sample/.*.swp


%build
# keep the sample directory untouched by make
rm -rf __fedora_sample
mkdir __fedora_sample 
cp -a sample __fedora_sample

export CFLAGS="%{optflags} -fPIC"
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL='install -c -p'

mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man3
install -p -m0755 libnet-config %{buildroot}%{_bindir}/libnet-config
install -p -m0644 doc/man/man3/libnet*.3 %{buildroot}%{_mandir}/man3/

# prepare samples directory
rm -rf __fedora_sample/sample/win32
rm __fedora_sample/sample/Makefile.in
sed -i -e 's:#include "../include/libnet.h":#include <libnet.h>:' __fedora_sample/sample/libnet_test.h

%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc README VERSION
%doc doc/BUGS doc/CHANGELOG doc/CONTRIB doc/COPYING doc/DESIGN_NOTES
%doc doc/MIGRATION doc/PACKET_BUILDING doc/PORTED doc/RAWSOCKET_NON_SEQUITUR
%doc doc/TODO doc/html/ __fedora_sample/sample/

%{_bindir}/libnet-config
%{_includedir}/libnet/
%{_includedir}/libnet.h
%{_libdir}/libnet.a
%{_mandir}/man3/libnet*


%changelog
